Activate funnel step
curl --request PUT \
--url https://app.zenedu.io/api/v1/bot/{bot}/funnels/{product}/steps/{step}/active \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.zenedu.io/api/v1/bot/{bot}/funnels/{product}/steps/{step}/active"
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.zenedu.io/api/v1/bot/{bot}/funnels/{product}/steps/{step}/active', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.zenedu.io/api/v1/bot/{bot}/funnels/{product}/steps/{step}/active",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.zenedu.io/api/v1/bot/{bot}/funnels/{product}/steps/{step}/active"
req, _ := http.NewRequest("PUT", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://app.zenedu.io/api/v1/bot/{bot}/funnels/{product}/steps/{step}/active")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.zenedu.io/api/v1/bot/{bot}/funnels/{product}/steps/{step}/active")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": 123,
"product_id": 123,
"section_id": 123,
"type": "message",
"name": "<string>",
"text": "<string>",
"active": true,
"sort": 123,
"link_preview": true,
"task_autocheck": true,
"custom_field_id": 123,
"sending_time": {
"option": "immediately",
"delay_number": 123,
"delay_type": "seconds",
"delay_at": "2023-11-07T05:31:56Z",
"skip_past_date": true,
"delay_time": "2023-11-07T05:31:56Z",
"delay_limit": {
"time_from": 719,
"time_to": 719,
"weekdays": [
"mon"
]
}
},
"menu_time": {
"type": "immediately",
"delay_number": 123,
"delay_type": "seconds",
"delay_at": "2023-11-07T05:31:56Z",
"delay_time": "2023-11-07T05:31:56Z"
},
"settings": {
"attach_file": true,
"has_spoiler": true,
"attach_style": "<string>",
"autodelete": 123,
"protect_content": true,
"save_profile": true,
"subtype": "<string>",
"question_error_message": "<string>",
"quiz_explanation": "<string>"
},
"cover_url": "<string>",
"attachments": [
{
"id": 123,
"type": "<string>",
"name": "<string>"
}
],
"buttons": [
{
"id": 123,
"type": "link",
"name": "<string>",
"link": "<string>",
"offer_id": 123,
"actions": [
{}
],
"settings": {},
"sort": 123
}
],
"options": [
{
"id": 123,
"text": "<string>",
"is_correct": true
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}Шаги
Включить шаг воронки
Включает шаг.
PUT
/
api
/
v1
/
bot
/
{bot}
/
funnels
/
{product}
/
steps
/
{step}
/
active
Activate funnel step
curl --request PUT \
--url https://app.zenedu.io/api/v1/bot/{bot}/funnels/{product}/steps/{step}/active \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.zenedu.io/api/v1/bot/{bot}/funnels/{product}/steps/{step}/active"
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.zenedu.io/api/v1/bot/{bot}/funnels/{product}/steps/{step}/active', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.zenedu.io/api/v1/bot/{bot}/funnels/{product}/steps/{step}/active",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.zenedu.io/api/v1/bot/{bot}/funnels/{product}/steps/{step}/active"
req, _ := http.NewRequest("PUT", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://app.zenedu.io/api/v1/bot/{bot}/funnels/{product}/steps/{step}/active")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.zenedu.io/api/v1/bot/{bot}/funnels/{product}/steps/{step}/active")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": 123,
"product_id": 123,
"section_id": 123,
"type": "message",
"name": "<string>",
"text": "<string>",
"active": true,
"sort": 123,
"link_preview": true,
"task_autocheck": true,
"custom_field_id": 123,
"sending_time": {
"option": "immediately",
"delay_number": 123,
"delay_type": "seconds",
"delay_at": "2023-11-07T05:31:56Z",
"skip_past_date": true,
"delay_time": "2023-11-07T05:31:56Z",
"delay_limit": {
"time_from": 719,
"time_to": 719,
"weekdays": [
"mon"
]
}
},
"menu_time": {
"type": "immediately",
"delay_number": 123,
"delay_type": "seconds",
"delay_at": "2023-11-07T05:31:56Z",
"delay_time": "2023-11-07T05:31:56Z"
},
"settings": {
"attach_file": true,
"has_spoiler": true,
"attach_style": "<string>",
"autodelete": 123,
"protect_content": true,
"save_profile": true,
"subtype": "<string>",
"question_error_message": "<string>",
"quiz_explanation": "<string>"
},
"cover_url": "<string>",
"attachments": [
{
"id": 123,
"type": "<string>",
"name": "<string>"
}
],
"buttons": [
{
"id": 123,
"type": "link",
"name": "<string>",
"link": "<string>",
"offer_id": 123,
"actions": [
{}
],
"settings": {},
"sort": 123
}
],
"options": [
{
"id": 123,
"text": "<string>",
"is_correct": true
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}